<html lang="en">

<head>
    <meta charset="utf-8">
    <title>CRUD NodeJS dan MySQL</title>
    <link href="/assets/css/bootstrap.css" rel="stylesheet" type="text/css" />
</head>

<body class="vsc-initialized">
    <nav class="navbar fixed-top navbar-light bg-light">
        <div class="container">
            <div class="col-md-8">
                <h2>Customer Bank</h2>
                <span><b>DTS IT PERBANKAN</b></span>
            </div>
            <button class="btn btn-success" data-toggle="modal" data-target="#myModalAdd">Tambah Customer</button>
        </div>
    </nav>
    <br><br><br><br>
    <main role="main" class="container">
        <div class="jumbotron">
            <table class="table table-striped" id="mytable">
                <thead>
                    <tr>
                        <th>ID Customer</th>
                        <th>Nama</th>
                        <th>Alamat</th>
                        <th>Kode Pos</th>
                        <th>Nomor HP</th>
                        <th>Email</th>
                        <th>Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {{#each results}}
                    <tr>
                        <td>{{ cust_id }}</td>
                        <td>{{ nama }}</td>
                        <td>{{ alamat }}</td>
                        <td>{{ kode_pos }}</td>
                        <td>{{ no_hp }}</td>
                        <td>{{ email }}</td>
                        <td>
                            <a href="javascript:void(0);" class="btn btn-sm btn-info edit" data-cust_id="{{ cust_id }}"
                                data-nama="{{ nama }}" data-alamat="{{ alamat }}" data-kode_pos="{{ kode_pos }}"
                                data-no_hp="{{ no_hp }}" data-email="{{ email }}">Edit</a>
                            <a href="javascript:void(0);" class="btn btn-sm btn-danger delete"
                                data-cust_id="{{ cust_id }}">Hapus</a>
                        </td>
                    </tr>
                    {{/each}}
                </tbody>
            </table>
        </div>
    </main>

    <!-- Add New Customer Modal-->
    <form action="/customer/save" method="post">
        <div class="modal fade" id="myModalAdd" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Add New Customer</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <input type="text" name="nama" class="form-control" placeholder="Nama Customer" required>
                        </div>

                        <div class="form-group">
                            <input type="text" name="alamat" class="form-control" placeholder="Alamat" required>
                        </div>

                        <div class="form-group">
                            <input type="text" name="kode_pos" class="form-control" placeholder="Kode Pos" required>
                        </div>

                        <div class="form-group">
                            <input type="text" name="no_hp" class="form-control" placeholder="Nomor Hp" required>
                        </div>

                        <div class="form-group">
                            <input type="text" name="email" class="form-control" placeholder="Email" required>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <!-- Edit Customer Modal-->
    <form action="/customer/update" method="post">
        <div class="modal fade" id="EditModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Edit Customer</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <input type="text" name="nama" class="form-control nama" placeholder="Nama Customer"
                                required>
                        </div>

                        <div class="form-group">
                            <input type="text" name="alamat" class="form-control alamat" placeholder="Alamat" required>
                        </div>

                        <div class="form-group">
                            <input type="text" name="kode_pos" class="form-control kode_pos" placeholder="Kode Pos"
                                required>
                        </div>

                        <div class="form-group">
                            <input type="text" name="no_hp" class="form-control no_hp" placeholder="Nomor Hp" required>
                        </div>

                        <div class="form-group">
                            <input type="text" name="email" class="form-control email" placeholder="Email" required>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="cust_id" class="cust_id">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <!-- Delete Customer Modal-->
    <form id="add-row-form" action="/customer/delete" method="post">
        <div class="modal fade" id="DeleteModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
            aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="myModalLabel">Hapus Customer</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                    </div>
                    <div class="modal-body">
                        <strong>Apakah anda yakin ingin menghapus data ini ? </strong>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="cust_id" class="form-control cust_id2" required>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Tutup</button>
                        <button type="submit" class="btn btn-success">Hapus</button>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <script src="/assets/js/jquery-3.5.1.js"></script>
    <script src="/assets/js/bootstrap.js"></script>
    <script>
        $(document).ready(function () {
            //showing data to modal for edit record
            $('#mytable').on('click', '.edit', function () {
                var cust_id = $(this).data('cust_id');
                var nama = $(this).data('nama');
                var alamat = $(this).data('alamat');
                var kode_pos = $(this).data('kode_pos');
                var no_hp = $(this).data('no_hp');
                var email = $(this).data('email');
                $('#EditModal').modal('show');
                $('.nama').val(nama);
                $('.alamat').val(alamat);
                $('.kode_pos').val(kode_pos);
                $('.no_hp').val(no_hp);
                $('.email').val(email);
                $('.cust_id').val(cust_id);
            });
            //showing modal for delete record
            $('#mytable').on('click', '.delete', function () {
                var cust_id = $(this).data('cust_id');
                $('#DeleteModal').modal('show');
                $('.cust_id2').val(cust_id);
            });

        });
    </script>
</body>

</html>